%define upstream_name    Kwiki-Cache
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Kwiki Cache Plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Kwiki)
BuildArch: noarch

%description
Kwiki cache plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-11.mga8
+ Revision: 1504873
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-10.mga7
+ Revision: 1284476
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.110.0-9.mga7
+ Revision: 1168522
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-8.mga6
+ Revision: 1028980
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-7.mga6
+ Revision: 945553
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 739314
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 685165
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-4.mga4
+ Revision: 512481
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 368880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 shlomif <shlomif> 0.110.0-2.mga2
+ Revision: 174928
- Add the description
- imported package perl-Kwiki-Cache


* Fri Nov 18 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
